Bug 1815935 - Eclipse (4.15) will not start with java-openjdk 14
Summary: Eclipse (4.15) will not start with java-openjdk 14
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: java-openjdk
Version: 31
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Petra Alice Mikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-22 21:18 UTC by Michael Katzmann
Modified: 2020-05-18 08:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-18 08:25:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Michael Katzmann 2020-03-22 21:18:03 UTC
Description of problem:

I cannot start Eclipse (version 4.15 from Eclipse (not 4.13 RPM) with marketplace update for java 14)....

WARNING: Using incubator modules: jdk.incubator.foreign, jdk.incubator.jpackage
Error: LinkageError occurred while loading main class org.eclipse.equinox.launcher.Main
	java.lang.ExceptionInInitializerError: null

If I install and configure the Oracle Java 14 JDK .... 
java version "14" 2020-03-17
Java(TM) SE Runtime Environment (build 14+36-1461)
Java HotSpot(TM) 64-Bit Server VM (build 14+36-1461, mixed mode, sharing)

it starts without problem.

Version-Release number of selected component (if applicable):

openjdk version "14" 2020-03-17
OpenJDK Runtime Environment 19.9 (build 14+36)
OpenJDK 64-Bit Server VM 19.9 (build 14+36, mixed mode, sharing)


How reproducible:

every time.

Steps to Reproduce:
1. Install Eclipse https://download.eclipse.org/eclipse/downloads/drops4/R-4.15-202003050155/
2. Start under java-lates-openjdk-13
3. Install Marketplace update for Java 14 https://marketplace.eclipse.org/content/java-14-support-eclipse-2020-03-415
3. Install java-latest-openjdk-14.0.0.36-1.rolling.fc31.x86_64
4: Attempt to start start Eclipse

Actual results:

Eclipse does not start.
WARNING: Using incubator modules: jdk.incubator.foreign, jdk.incubator.jpackage
Error: LinkageError occurred while loading main class org.eclipse.equinox.launcher.Main
	java.lang.ExceptionInInitializerError: null

Expected results:

Eclipse starts

Additional info:

The Eclipse from the current RPM (4.13) does appear to start but from what I read there are other problems running this version with Java 14 (which is what 4.15 and the marketplace update is required)

Comment 1 Michael Katzmann 2020-04-04 14:41:35 UTC
Eclips starts without issue using 'adoptopenjdk' distribution.

openjdk version "14" 2020-03-17
OpenJDK Runtime Environment AdoptOpenJDK (build 14+36)
OpenJDK 64-Bit Server VM AdoptOpenJDK (build 14+36, mixed mode, sharing)


but still fails with the Fedora 31 current distribution in updates-testing:
openjdk version "14" 2020-03-17
OpenJDK Runtime Environment 19.9 (build 14+36)
OpenJDK 64-Bit Server VM 19.9 (build 14+36, mixed mode, sharing)

Comment 2 Alexander Kurtakov 2020-04-06 06:38:43 UTC
Commenting jdk.disabled.namedCurves property in /etc/java/java-14-openjdk/java-14-openjdk-14.0.0.36-1.rolling.fc31.x86_64/conf/security/java.security fixes the issue for me. So this is some packaging problem IMHO.

Comment 3 Alexander Kurtakov 2020-04-06 06:39:18 UTC
Forgot to mention that not only eclipse but maven was failing in similar way prior to commenting the line.

Comment 4 Alexander Kurtakov 2020-04-06 06:40:51 UTC
java.vendor system property returns "N/A" which is weird at least.

Comment 5 Petra Alice Mikova 2020-04-06 07:45:07 UTC
Hi,

we identified a bug with the curves a while ago, currently testing a candidate fix for the issue. It was caused by a new property in JDK 14 combined with the java-latest-openjdk custom patches, unfortunately it was not causing build failures, only strange behavior. I believe it is the same issue. The packages were already unpushed from testing. 

Assuming the scratch build passes tests, the new builds should be in testing soon.

Thank you!

Comment 6 jiri vanek 2020-04-06 11:44:36 UTC
(In reply to Alexander Kurtakov from comment #4)
> java.vendor system property returns "N/A" which is weird at least.

It could happen that some new --with like:
    --with-version-build=%{buildver} \
    --with-version-pre="%{ea_designator}"\
    --with-version-opt=%{lts_designator} \
    --with-vendor-version-string="%{vendor_version_string}" \
Which we are passing to spec  arrived to openjdk, and there is o default one

Comment 7 jiri vanek 2020-04-06 11:46:13 UTC
Afaik it is N/A also in jdk 13

Comment 9 jiri vanek 2020-04-06 11:54:23 UTC
  --with-vendor-name      Set vendor name. Among others, used to set the
                          'java.vendor' and 'java.vm.vendor' system
                          properties. [not specified]

Comment 11 Michael Katzmann 2020-04-14 00:18:04 UTC
This problem looks to be resolved with 

java-latest-openjdk-14.0.0.36-3.rolling.fc31.x86_64


Note You need to log in before you can comment on or make changes to this bug.